FreeBSD: Flash в браузерах Mozilla Firefox, Chromium, Epiphany, Konqueror и Opera

Flash По умолчанию такие браузеры, как Mozilla Firefox, Chromium, Epiphany, Konqueror и Opera для FreeBSD "отказываются" воспроизводить Flash-ролики, предлагая установить бесплатный плагин Adobe Flash Player. Так в чем же проблема? В том, что плагин Adobe Flash Player для FreeBSD попросту не существует. Неужели данное обстоятельство может стать причиной для отказа от просмотра мультимедийного контента в браузерах Mozilla Firefox, Chromium, Epiphany, Konqueror и Opera на десктопе с FreeBSD? Конечно же, нет!

Введение

Один из возможных способов воспроизведения Flash-роликов в браузерах Mozilla Firefox, Chromium, Epiphany, Konqueror и Opera для FreeBSD состоит в использовании NPAPI-плагина Adobe Flash Player, предназначенного для работы в среде Linux. Вы можете найти в Сети множество мануалов на эту тему, однако в подавляющем большинстве случаев практика покажет, что они уже утратили свою актуальность. После настройки Flash на собственном компьютере с FreeBSD я написал первую версию данной статьи, которая касалась браузеров Konqueror и Mozilla Firefox и чуть позже Opera. В связи с тем, что статья вызвала значительный (естественно, по меркам данного блога) интерес, было решено не только полностью обновить ее, но и добавить в список браузеров быстро набирающий популярность Chromium и хорошо знакомый пользователям GNOME Epiphany.

Исходные данные

Имеется компьютер с операционной системой FreeBSD, на который, кроме всего прочего, установлены браузеры Mozilla Firefox, Chromium, Epiphany, Konqueror и Opera (естественно, одновременное наличие сразу всех перечисленных браузеров не обязательно). Для воспроизведения Flash-роликов в браузерах Mozilla Firefox, Chromium, Epiphany и Konqueror будет использоваться связка плагина Adobe Flash Player для Linux версии 11 (ни в коем случае не версии 7, которая устарела, и не версии 9, которая не отличается стабильностью) с nspluginwrapper, а для стыковки этой связки с браузером Opera понадобится пакет opera-linuxplugins. Все упомянутое программное обеспечение будет устанавливаться из обновленной коллекции портов.

Включение двоичной совместимости с Linux

В связи с тем, что часть используемого программного обеспечения предназначена для работы в среде Linux, в первую очередь, необходимо включить двоичную совместимость с данной операционной системой. Для этого следует, во-первых, добавить в файл /etc/rc.conf строку:

linux_enable="YES"

Во-вторых, добавить в файл /etc/fstab определение виртуальной файловой системы linprocfs(5), нужной для взаимодействия Linux-процессов:

linproc /compat/linux/proc linprocfs rw 0 0

И, в-третьих, создать указанную точку монтирования, смонтировать файловую систему linproc и активировать поддержку Linux командами:

mkdir -p /compat/linux/proc
mount /compat/linux/proc
/etc/rc.d/abi start

Установка Adobe Flash Player и nspluginwrapper

Для установки Adobe Flash Player и nspluginwrapper из портов необходимо выполнить команды:

cd /usr/ports/www/linux-f10-flashplugin11
make install clean
cd ../nspluginwrapper
make install clean

Если Вы планируете добавить поддержку Flash в браузеры Mozilla Firefox, Chromium и Konqueror, после завершения установки придется создать папку /usr/local/lib/browser_plugins и выполнить автоматическую регистрацию всех NPAPI-плагинов, включая Adobe Flash Player, командами:

mkdir /usr/local/lib/browser_plugins
nspluginwrapper -a -i

Добавление поддержки Flash в Mozilla Firefox

Для добавления поддержки Flash в браузер Mozilla Firefox для текущего пользователя следует создать в папке ~/.mozilla/plugins символическую ссылку на файл /usr/local/lib/browser_plugins/npwrapper.libflashplayer.so командой:

ln -s /usr/local/lib/browser_plugins/npwrapper.libflashplayer.so ~/.mozilla/plugins

После перезапуска браузера Mozilla Firefox можно перейти по специальному адресу about:plugins, убедиться в том, что список Включенные плагины содержит раздел Shockwave Flash, а затем приступить к тестированию добавленной функциональности.

Добавление поддержки Flash в Chromium

Добавление поддержки Flash в браузер Chromium для текущего пользователя не отличается от аналогичной процедуры для браузера Mozilla Firefox. Если Вы уже настроили воспроизведение Flash-роликов в браузере Mozilla Firefox, то сможете просматривать их и в браузере Chromium, если же Вы не используете браузер Mozilla Firefox, для добавления поддержки Flash в браузер Chromium необходимо создать папку ~/.mozilla/plugins, а затем поместить в нее упомянутую выше символическую ссылку на файл /usr/local/lib/browser_plugins/npwrapper.libflashplayer.so командами:

mkdir -p ~/.mozilla/plugins
ln -s /usr/local/lib/browser_plugins/npwrapper.libflashplayer.so ~/.mozilla/plugins

Как и в случае браузера Mozilla Firefox, после перезапуска браузера Chromium можно перейти по специальному адресу about:plugins, убедиться в том, что список Подключаемые модули содержит раздел Flash, а затем приступить к тестированию добавленной функциональности.

Добавление поддержки Flash в Epiphany

Для добавления поддержки Flash в браузер Epiphany не требуется выполнять ни какие дополнительные действия. Браузер Epiphany, работающий от имени любого пользователя, готов к воспроизведению Flash-роликов сразу после описанной выше установки Adobe Flash Player и nspluginwrapper.

Добавление поддержки Flash в Konqueror

Для добавления поддержки Flash в браузер Konqueror для текущего пользователя следует выполнить команду главного меню Konqueror Настройка » Настроить Konqueror, в открывшемся окне Настроить - Konqueror выбрать на левой панели пункт Веб-браузер » Модули, на правой панели нажать кнопку Создать, любым способом поместить текст /usr/local/lib/browser_plugins в поле Папка, нажать кнопку с изображением дискеты, а затем нажать кнопку Искать новые модули. После завершения поиска в списке Модули появятся все найденные плагины, включая Shockwave Flash. Сразу же после закрытия окна Настроить - Konqueror браузер Konqueror сможет воспроизводить Flash-ролики. Как и в случае с браузерами Mozilla Firefox и Chromium, для получения информация о плагинах, используемых браузером Konqueror, достаточно открыть специальный адрес about:plugins.

Добавление поддержки Flash в Opera

Для добавления поддержки Flash в браузер Opera для всех пользователей нужно установить opera-linuxplugins из портов командами:

cd /usr/ports/www/opera-linuxplugins
make install clean

После завершения установки необходимо перейти по специальному адресу about:plugins, щелкнуть по ссылке Обновить плагины, убедиться, что в результате обновления в списке Плагины появился раздел Shockwave Flash, а затем приступить к тестированию добавленной функциональности.

Заключение

Длительное тестирование описанной конфигурации со всеми перечисленными браузерами не выявило ни каких проблем. Flash-ролики, размещенные на различных сайтах, включая все известные мне видеохостинги, воспроизводились и продолжают воспроизводятся без каких-либо ошибок. В связи с этим я искренне надеюсь, что предложенная инструкция окажется полезной всем, кто не успел добавить поддержку Flash в браузеры Mozilla Firefox, Chromium, Epiphany, Konqueror и Opera для операционной системы FreeBSD.

Похожие статьи в рубриках ‘FreeBSD’ и ‘Десктоп с FreeBSD’

Комментарии

  1. mic says:

    сегодня попробовал сделать по инструкции. все прошло гладко, кроме последнего шага. Файла /usr/local/lib/browser_plugins/npwrapper.libflashplayer.so в системе не нашел. Запустил поиск похожих файлов, нашел libflashplayer.so в папке /usr/local/lib/browser_plugins/npwrapper.libflashplayer.so. В итоге под пользователем, который будет Firefox запускать, сделал:
    nspluginwrapper -v -i /usr/local/lib/npapi/linux-f10-flashplugin/libflashplayer.so
    И плагин увидел Firefox. Кстати, здесь написано о проблеме при работе плагина.

    • SergeySL says:

      Что касается путей – я ставил все из последних версий портов, пути не менял, ни каких симлинков вручную не ставил. По поводу выгрузки видео на YouTube – не пробовал, только смотрел ролики. Иногда бывает, что вместо ролика отображается серая область, однако, это лечится обновлением страницы. Еще я заметил, что иногда в домашней папке появляется файл npviewer.bin.core, что меня совсем не смущает.

  2. mic says:

    также ставил из последней версии портов (сегодня). То есть:
    ln -s /usr/local/lib/browser_plugins/npwrapper.libflashplayer.so
    не проходит. nspluginwrapper’у нужно явно указать файл .so, который он обработает. результат поместит в мозилловскую папку плагинов в домашней директории пользователя.

  3. AlexP says:

    Статья хорошая, сделал, на некоторых сайтах работает но YouTube – нет, и смущает вот что
    uname -srm
    FreeBSD 8.1-STABLE amd64
    Порты актуальные
    При запуске Оперы появляются процессы
    alex 46368 0,0 0,3 100652 13156 ?? R 10:59 0:01,50 /usr/local/lib/nspluginwrapper/i386/linux/npviewer.bin --plugin /usr/local/lib/npapi/linux-f10-flashplugin/libflashplayer.so --connection /org/wrapper/NSPlugins/libflashplayer.so/45825-10
    alex 46380 0,0 0,3 100652 13156 ?? I 10:59 0:00,00 /usr/local/lib/nspluginwrapper/i386/linux/npviewer.bin --plugin /usr/local/lib/npapi/linux-f10-flashplugin/libflashplayer.so --connection /org/wrapper/NSPlugins/libflashplayer.so/45825-10
    alex 46381 0,0 0,3 100652 13156 ?? I 10:59 0:00,00 /usr/local/lib/nspluginwrapper/i386/linux/npviewer.bin --plugin /usr/local/lib/npapi/linux-f10-flashplugin/libflashplayer.so --connection /org/wrapper/NSPlugins/libflashplayer.so/45825-10

    Когда браузер закрыть, это все не убивается, и при новом открытии плодятся еще такие же процессы.

    • SergeySL says:

      Flash работает во всех описанных браузерах на всех сайтах, включая YouTube. nspluginwrapper действительно имеет такой косяк (создание кучи процессов). Именно из-за этого косяка Firefox периодически замирает на несколько секунд (если не хочется ждать, когда он придет в себя, можно выполнить команду killall npviewer.bin). Opera лишена данного недостатка, работает без замираний.

      Что значит не работает с YouTube? Серый прямоугольник вместо Flash-плеера?

  4. argkh says:

    Спасибо за статью. В Firefox 5.0 симлинк надо делать не в ~/.mozilla, а в /usr/local/lib/browser_plugins/symlinks/gecko18, /usr/local/lib/browser_plugins/symlinks/gecko19 – всё работает.

  5. Жека says:

    Хорошая статья, дельная. Стройка плагина подтянула, правда, каиры-рендеры к нему спецовые, теперя, благодаря статье о шрифтах, везде красиво осталось, но содержание – как в эпифани, тако и в хроме – кривенько, безо влияния системных сглаживаний. Куда теперя ? – не знаю…

  6. wasp says:

    О наболевшем. Прочитав статью, сделал сначала с девятым плагином. Кроме ютуба ничего не работало! Т.е. аудио (в контакте) также запустить не смог – аудио не грузится и соответственно не воспроизводится. Сегодня изловчился и поставил десятый плагин + перерегистрацию компонентов, но столкнулся с следующей проблемой: воспроизведение аудио/видео скачет с интервалом в 6 сек. То есть воспроизводится, но очень быстро. Кто нибудь подскажет?

  7. wasp says:

    Может я вопрос некоректно задал, или никто с таким не сталкивался?

  8. wasp says:

    Согласен, возможно! Но дело в том, что с 9-м плагином видео воспроизводилось (хотя только на youtube), а на остальных сайтах – серый фон. Именно поэтому поставил 10-й + провёл установку и регистрацию компонентов с самого начала, но столкнулся с следующей “засадой”.

    P.S.: FreeBSD 8.2.

  9. wasp says:

    Да, конечно! Всё делал по “инструкции”… При проверке файловых систем (df -h) указывается linprocfs. Может ли это как-то быть связано с nspluginwrapper?

  10. sasha says:

    и до и после обновления портов FreeBSD 8.2 flash plaer не устанавливается не видит

    => install_flash_player_10_linux.tar.gz doesn’t seem to exist in /usr/ports/distfiles/flashplugin/10.3r183.7
    а архив там есть и в итоге:
    => Couldn't fetch it - please try to retrieve this
    => port manually into /usr/ports/distfiles/flashplugin/10.3r183.7 and try again.
    *** Error code 1
    Stop in /usr/ports/www/linux-f10-flashplugin10.
    *** Error code 1

  11. sasha says:

    Статья хорошая, а модератор не дает вставить коментарий?

  12. wasp says:

    Сергей, конфигурацию иксов проверил (хотя, что там проверять?!) Всё “стоит прямо”, всё работает… видео, как внешняя, так и встроенная! Но проблема осталась. Что ещё может быть? Неужели я один такой, кто сталкивался с такого рода проблемой?

  13. wasp says:

    Кстати, кое-что вспомнил… Были ли у Вас “косяки” с компиляцией? При использовании команды make install clean (при установке flashplugin), были проблемы с другими пакетами! проблема выражалась так: остановка компиляции с указанием, что. например, пакет ncc поддерживается freebsd current и немного 7.4 stable и установка не будет продолжена…
    Я, чтоб обойти это, устанавливал конфликтные пакеты камандой pkg_add -r и продолжил установку.

  14. sasha says:

    Есть проблема с users and groups (gnome2). Открывается окошко только серое – неактивное. Может кто-нибудь сталкивался?

  15. wasp says:

    Сергей, если нетрудно, не могли бы Вы указать версии пакетов установленных в процессе инсталяции flash-plugin?

    • SergeySL says:

      Не трудно: pkg_info -r linux-f10-flashplugin-10.3r183.10

      Information for linux-f10-flashplugin-10.3r183.10:

      Depends on:
      Dependency: python27-2.7.2_1
      Dependency: perl-5.14.1_2
      Dependency: linux_base-f10-10_4
      Dependency: linux-f10-png-1.2.37_1
      Dependency: linux-f10-openssl-0.9.8g
      Dependency: linux-f10-openldap-2.4.12_1
      Dependency: linux-f10-libssh2-0.18
      Dependency: linux-f10-jpeg-6b
      Dependency: linux-f10-tiff-3.8.2
      Dependency: linux-f10-expat-2.0.1
      Dependency: linux-f10-fontconfig-2.6.0
      Dependency: linux-f10-xorg-libs-7.4_1
      Dependency: linux-f10-cyrus-sasl2-2.1.22_1
      Dependency: linux-f10-curl-7.19.6_1
      Dependency: linux-f10-cairo-1.8.0_1
      Dependency: linux-f10-pango-1.28.3
      Dependency: pkg-config-0.25_1
      Dependency: pcre-8.13_1
      Dependency: linux-f10-nspr-4.7.6
      Dependency: linux-f10-sqlite3-3.5.9_1
      Dependency: linux-f10-nss-3.12.3.99.3_1
      Dependency: libiconv-1.13.1_1
      Dependency: gettext-0.18.1.1
      Dependency: glib-2.28.8
      Dependency: gamin-0.1.10_4
      Dependency: gio-fam-backend-2.28.8
      Dependency: desktop-file-utils-0.18
      Dependency: linux-f10-atk-1.24.0
      Dependency: linux-f10-gtk2-2.14.7_3

  16. [...] Как выяснилось, для поддержки Flash в Opera достаточно поставить [...]

  17. Bukovski says:

    Доброго времени суток, уважаемые коллеги! Установлена ситема FreeBSD 8.2, браузеры Seamonkey2 и Firefox 7.0.1 Сначала сделал всё по статье – всё установилось, но ни один браузел плагин почему-то не увидел, потом сделал ссылку по рекомендации argkh (взятую из комментариев к статье) – результат тот же… Может быть кто-то наставит меня на путь истинный :) ?
    P.S. linproc смонтирован, сам флэш и nspluginwrapper установлены.

  18. wasp says:

    … то есть, изначально выполнив: sudo -s, или просто su, но никак не su - !потому как в таком случае все записи будут производиться в папку root, а не папку пользователя. Сергей, прошу меня поправить если в чем-то ошибся.

  19. wasp says:

    Кстати, Сергей, я недавно обнаружил обновления плагина на сайте adobe… Вы не в курсе, появилось ли это обновление в портах FreeBSD? Если да, то каким из возможных программ обновления портов целесообразнее воспользоваться?

    • SergeySL says:

      Вы не в курсе, появилось ли это обновление в портах FreeBSD?

      Кто/что мешает обновить порты и проверить?

      Какой из возможных программ обновления портов целесообразнее воспользоваться?

      Той, которая Вам нравится. Лично я привык к portupgrade.

  20. tehnikpc says:

    Делал всё по этой инструкции:
    Добавить linux_enable="YES" в /etc/rc.conf
    % kldload linux
    Добавить в /etc/make.conf:
    OVERRIDE_LINUX_BASE_PORT=f10
    OVERRIDE_LINUX_NONBASE_PORTS=f10

    Подготовка к Linux ABI:
    Добавить в /etc/fstab:
    linproc /usr/compat/linux/proc linprocfs rw 0 0
    linsys /usr/compat/linux/sys linsysfs rw 0 0

    Установка Fedora 10 compability:
    % cd /usr/ports/emulators/linux_base-f10/ && make deinstall install clean
    Устанавливам флеш и утилиту для добавления плагинов:
    % cd /usr/ports/www/linux-f10-flashplugin10 && make install clean
    % cd /usr/ports/www/nspluginwrapper && make install clean

    Монтируем (без ребута)
    % mount /usr/compat/linux/proc
    % mount /usr/compat/linux/sys

    Старт ABI Linux:
    % /etc/rc.d/abi start
    Additional ABI support: linux.
    % /etc/rc.d/sysctl start
    nspluginwrapper нужно запускать для каждого пользователя, который планирует использовать Flash в браузере.
    Активируем плагин в nspluginwrapper от пользователя:
    % nspluginwrapper -i /usr/local/lib/npapi/linux-f10-flashplugin/libflashplayer.so
    % nspluginwrapper -v -a -i

    Всё работает хорошо никаких проблем не наблюдается уже пол года.

    • SergeySL says:

      Делал всё по этой инструкции

      Как я уже говорил, в сети много инструкций. В чем смысл Вашего комментария? Вы нашли ошибки в статье? Если нет, то зачем предлагать шаманство с /etc/make.conf, например?

      Добавить в /etc/fstab:
      ...
      linsys /usr/compat/linux/sys linsysfs rw 0 0

      На работу Flash это не влияет.

      Монтируем (без ребута)

      Я рекомендовал перезагрузить компьютер?

      nspluginwrapper нужно запускать для каждого пользователя, который планирует использовать Flash в браузере

      Можно, но не нужно. Если устанавливать плагины от имени root’а, они будут доступны всем пользователям системы, которые добавят себе соотвтетствующие символические ссылки.

  21. SergeySL says:

    Исправил статью в связи с переходом на 11ю версию Flash-плагина.

  22. R_Max says:

    cd /usr/ports/www/opera-linux-plugins правильнее cd /usr/ports/www/opera-linuxplugins
    Сделал по инструкции, у меня тоже почему-то ускорено идет видео :(

    • SergeySL says:

      cd /usr/ports/www/opera-linux-plugins правильнее cd /usr/ports/www/opera-linuxplugins

      Однозначно. Спасибо. Исправил.

      Сделал по инструкции, у меня тоже почему-то ускорено идет видео :(

      Не знаю, чем помочь, но думаю, что нужно смотреть в сторону конфигурации видеодрайвера, Иксов и оконного менеджера. Сам сталкивался с глюками Flash при сборке драйвера NVidia с поддержкой Linux.

  23. Дмитрий says:

    Скажите, пожалуйста, как решить подобную проблему в Windows 7, потому что get.adobe отказывается устанавливаться. Или как загрузить и установить подключаемый модуль Flash Player?

  24. Marish says:

    Что бы я без Вас делала… О_О
    Спасибо большое!

  25. Alex says:

    все работает, но не было звука (почти везде…), решил так:

    # sysctl hw.snd.default_unit=3

    # cat /dev/sndstat

    FreeBSD Audio Driver (newpcm: 32bit 2009061500/i386)
    Installed devices:
    pcm0: (play/rec)
    pcm1: (play/rec)
    pcm2: (play)
    pcm3: (play/rec) default
    pcm4: (play)

    теперь и в браузере играет

  26. asavah says:

    Может кому-то будет полезно.

    Свежесобранная фря 9 х64, Кеды 4.8, Лиса 13, всё установил по хэндбуку но … флэш хотя и работал, иногда Лиса выпадала в коредамп, пару раз потянув за собой систему.

    Решение:

    Идём на сайт адобе и качаем install_flash_player_11_linux.i386.tar.gz i386, даже если система х64, эмуляция линуха во фре 32 бита.
    Под юзверем:
    $cd /home/USERNAME/Downloads
    $tar xvf install_flash_player_11_linux.i386.tar.gz
    $cd install_flash_player_11_linux.i386
    $nspluginwrapper -l

    выдаёт:
    /home/USERNAME/.mozilla/plugins/npwrapper.libflashplayer.so
    Original plugin: /usr/local/lib/npapi/linux-f10-flashplugin/libflashplayer.so
    Plugin viewer: /usr/local/lib/nspluginwrapper/i386/linux/npviewer
    Wrapper version string: 1.4.4-1

    $nspluginwrapper -r /home/USERNAME/.mozilla/plugins/npwrapper.libflashplayer.so
    Рутимся:
    $su
    #cp libflashplayer.so /usr/local/lib/npapi/linux-f10-flashplugin/
    #exit

    Под юзверем:
    $nspluginwrapper -a -i

    После этого ни одного вылета лисы, флэш летает даже в ХД с юпупа.

    • SergeySL says:

      флэш хотя и работал, иногда Лиса выпадала в коредамп, пару раз потянув за собой систему

      Раньше Firefox действительно замирал в момент галлюцинаций Flash’а, при этом процесс npviewer.bin падал в кору, но чтобы упал сам браузер или вся система – нонсенс. Разберитесь с видеодрайвером и конфигурацией Иксов. Flash сам по себе точно не способен уронить систему ;)

      P.S.: Давно не пользуюсь KDE, в GNOME все прекрасно работает из портов, включая YouTube и HD.

  27. mic says:

    По-моему, установка флэш сейчас не должна вызывать серьезных проблем. По крайней мере, в Firefox у меня все без проблем устанавливается и обновляется уже последние года полтора. В более ранних версиях Firefox часты были зависания процесса nspluginwrapper, но сейчас видимо проблема решена. Есть один полезный плагин в Firefox, называется flashblock, очень полезен для экономии трафика и увеличения скорости загрузки.

  28. Yri says:

    мужчины, подскажите, как быть? в Ютьюбе видео летает без проблем шустро, а вот из других сайтов показывает слайд-шоу, страшные лаги. есть от этого таблеточка? (Free BSD 9.0 Opera 11.60)

  29. hunter says:

    Ребята, а в пользовательских каталогах .mozilla нет plugins. Версия Firefox 23.0
    Что делать?

  30. Константин says:

    Спасибо за советы!
    В 9.2-RELEASE (i386) всё работает нормально…
    Папку для симлинков создал (проконсультировавшись в Сети) в ~/.mozilla/plugins

    Использую Epiphany, так как остальные браузеры раздражают своей тяжеловесностью … личное препочтение.

    Оно конечно, при таком стремлении к простоте и вовсе не хотелось использовать ФЛЭШ, просто запускал все видео через VLC.
    Да вот, для друга поставил систему, ну и решил ему флэш тоже запустить… Их же сразу-то не отучишь от излишеств, навязываемых вендорами, приходится постепенно.

    В отношении ФЛЭШ плагина есть одна проблема, решения для которой пока не нашёл:

    при проигрывании ролика запускается сразу несколько процессов npviewer.bin.
    Ну не слишком много, всего-то 3-4. Но и то ведь многовато.

    • SergeySL says:

      При проигрывании ролика запускается сразу несколько процессов npviewer.bin.
      Ну не слишком много, всего-то 3-4. Но и то ведь многовато.

      Такая же ерунда. Как побороть, не знаю, но и не напрягает вроде…

    • tehnikpc says:

      В 9.2-RELEASE (i386)

      Ошиблись. Нужно было ставить amd64.

      • SergeySL says:

        Сам много лет везде и всюду ставлю amd64, но вдруг у него железка не позволяет?

        • tehnikpc says:

          Сильно сомневаюсь! Перепутал просто.

          • SergeySL says:

            FreeBSD не очень быстро устанавливается, поэтому лучше такие вещи не путать :)

            • tehnikpc says:

              Это да. Я себе поставил Intel Core i7-990X, SSD OCZ Vertex 3 120 GB + 12 GB RAM и всё равно нервишки мои не выдержали, перешёл на Linux :).

              • SergeySL says:

                Лень Линукс в роли десктопа изучать, хотя уже давно пора. А вообще нужно Венду использовать, если компьютер не только для работы. Нету драйверов на современные дивайсы. Моему телефону HTC 3 года, а он начал автоматически монтироваться только в 9.2, про навороченные звуковые карты и прочие не совсем стандартные дивайсы вообще молчу, есть драйверы только для Венды. Виртуальные машины не отменили, но в вопросах железа они мало чем могут помочь…

                • tehnikpc says:

                  Я брал для домашнего сервера. А Windows нужно использовать только для игр, я так считаю, потому, что очень опасный он!

                  • SergeySL says:

                    Про серверы нет вопросов. Если не контроллер домена/терминальный сервер, то только FreeBSD/Linux. Для домашнего сервера лучше использовать аппаратный NAS с Linux (сам так делаю и очень доволен). Венда бесспорно ущербнее и дырявее *nix, но если культурно ее настроить, то будет вполне нормально работать. Если использовать комп для сисадминства, то удобнее *nix, а если для всяческих мультимедий, то только Венда (в игры не играю)…

                    • tehnikpc says:

                      Так у меня на Linux есть и контроллер домена (через samba4) и терминальный сервер (freenx) всё работает без збоев. NAS сильно слабый по производительности. Windows как не настраивай всё равно не безопасная потому, что такое ядро само такое сделали.

  31. SergeySL says:

    Мне дома контроллер без надобности, а в рабочей сети, где десяток контроллеров в разных городах, я за Венду (некоторые контроллеры работают в Virtualbox’ах под FreeBSD). Ну и терминальный доступ к 1С со всякими Керберосами, виндовыми принтерами и шарами удобнее рулить под Вендой. Если бы юзеров можно было пересадить на Linux, то другое дело, но не могу я себе представить буха или менеджера по продажам, который не испугается Линукса. NAS безусловно слабее компа, но он меньше, тише, экономичнее, при этом FTP/NFS/Samba/медиасервер работают прекрасно, а держать дома более серьезные вещи, имхо, неразумно. Если с шумом и бесперебойным питанием можно что-нибудь придумать, то с надежностью интернета и скоростью отдачи уже ничего не сделаешь. Провайдеры, как и все остальные поставщики услуг в нашей стране ничего не гарантируют и ни за что не отвечают. Именно по этой причине я даже не думал о домашнем сервере…

  32. tehnikpc says:

    Ну контроллер домена нужно учить и знать как 2х2, поэтому им нужно пользоваться в любом случае:дома, на работе, везде в общем. Надёжность интернета легко решается подключением нескольких провайдеров.

    • SergeySL says:

      Долго учил, сейчас иногда доучиваю, все GP, перемещаемые профили, DFS, квоты, блокировки, перенаправления папок и прочие приблуды давно отлажены, только MSI-пакеты свежие периодически приходится подкладывать. А несколько провайдеров домой – очень спорный вопрос. Меня 8 Мбит туда-сюда вполне устраивают дома. В самом крайнем случае письмо получить или скайп запустить можно на телефоне.

  33. Dmitry says:

    > FreeBSD 9.2-STABLE i386
    > десктоп на xfce4
    > firefox 23.0

    > about:plugins
    File: npwrapper.libflashplayer.so
    Path: /usr/local/lib/browser_plugins/npwrapper.libflashplayer.so
    Version:
    State: Enabled
    Shockwave Flash 11.2 r202

    Видео с ютуба начинает просматриваться. Через пару секунд в окне проигрывателя появляется надпись “An error occurred, please try again later. Learn More” на черном фоне.

    Не с ютуба работает нормально.
    Куда копать?

  34. Сергей says:

    FreeBSD 10.0-RELEASE-p7 amd64
    порты от 05 февраля 2015г
    firefox-35.0.1,1

    Всё работает!

    Спасибо

  35. mic says:

    Обновлять похоже нужно статью.
    Так как в портах используется emulators/linux-c6 (вместо федоры).
    В файле /usr/ports/UPDATING есть комментарий, как поставить данное окружение

    • SergeySL says:

      В настоящее время обновляю весь сайт, ибо давно его забросил, а сейчас появились желание и возможность навести порядок. Хостинг уже поменял, движок и плагины обновил, сейчас ковыряю новую тему. К сожалению, сейчас на домашнем десктопе стоит только Windows 7, хотя при его сборке дополнительный HDD на 500 Гб для FreeBSD был предусмотрен. После того, как приберу техническое дерьмицо, поставлю FreeBSD второй системой и займусь чисткой и частичным удаление статей, которые уже не актуальны.

Ваш комментарий